package com.fp.armas.portal.model;

import java.io.Serializable;
import javax.persistence.*;
import java.sql.Timestamp;


/**
 * The persistent class for the TSAFEUSERPROFILE database table.
 * 
 */
@Entity
public class Tsafeuserprofile implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TsafeuserprofilePK id;

	private Timestamp datefrom;

	private String ingressuser;

	private String modifyuser;

	//bi-directional many-to-one association to Tsafeuser
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="USERCODE", insertable=false, updatable=false)
	private Tsafeuser tsafeuser;

	public Tsafeuserprofile() {
	}

	public TsafeuserprofilePK getId() {
		return this.id;
	}

	public void setId(TsafeuserprofilePK id) {
		this.id = id;
	}

	public Timestamp getDatefrom() {
		return this.datefrom;
	}

	public void setDatefrom(Timestamp datefrom) {
		this.datefrom = datefrom;
	}

	public String getIngressuser() {
		return this.ingressuser;
	}

	public void setIngressuser(String ingressuser) {
		this.ingressuser = ingressuser;
	}

	public String getModifyuser() {
		return this.modifyuser;
	}

	public void setModifyuser(String modifyuser) {
		this.modifyuser = modifyuser;
	}

	public Tsafeuser getTsafeuser() {
		return this.tsafeuser;
	}

	public void setTsafeuser(Tsafeuser tsafeuser) {
		this.tsafeuser = tsafeuser;
	}

}